ubuntu/+source/pylint:ubuntu/lucid

Last commit made on 2009-12-21
Get this branch:
git clone -b ubuntu/lucid https://git.launchpad.net/ubuntu/+source/pylint
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/lucid
Repository:
lp:ubuntu/+source/pylint

Recent commits

77a19d4... by Sandro Tosi on 2009-12-19

Import patches-unapplied version 0.19.0-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 1e3283b7e341cefb242e5922088e270033507ce2

New changelog entries:
  * New upstream release
  * debian/pylint.docs
    - removed 'TODO', no more shipped
  * debian/copyright
    - updated copyright information, also adding new files with different info
  * debian/{rules, TODO}
    - run tests at build-time
  * debian/pylint.postrm
    - use 'set -e' instead of calling shell with '-e'

1e3283b... by Sandro Tosi on 2009-09-14

Import patches-unapplied version 0.18.1-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: ae3504b2f505ce1855113cbdbe01335f978e0b37

New changelog entries:
  [ Julien Lavergne ]
  * Python 2.6 transition, thanks Alessio Treglia for the patch; Closes: #530509
   - Use --install-layout=deb for setup.py install.
   - Replace site-packages by *-packages.
   - Build-depends on python >= 2.5.4-1~ for --install-layout=deb.
  [ Alexandre Fayolle ]
   * debian/rules: set NO_SETUPTOOLS when calling python setup.py
  [ Sandro Tosi ]
  * New upstream release
    - fix a false positive on E0611; thanks to Yann Dirson for the report;
      Closes: #546522
  * debian/control
    - removed Conflicts and Replaces, no more needed
    - bump Standards-Version to 3.8.3 (no changes needed)
    - bump versioned dependencies on python-logilab-common and
      python-logilab-astng (to correctly handle migratation from pycentral to
      pysupport, hence the urgency)
  * debian/README.source
    - removed, not needed

ae3504b... by Sandro Tosi on 2009-03-27

Import patches-unapplied version 0.18.0-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 068e4be3168d3837dd2067d18d26adc3118214f8

New changelog entries:
  * New upstream release
  * debian/copyright
    - added packaging copyright for the work I do
    - clearly separated copyright and license notices, indenting by 4 spaces
    - link to GPL-2 file, not to the generic GPL
  * debian/control
    - updated Homepage field
    - bump versions for python-logilab-common and python-logilab-astng depends
    - bump Standard-Versions to 3.8.1 (no changes needed)
  * debian/{control, rules}
    - switch from python-central to python-support
  * debian/rules
    - 'build' is a dir, we need to clean with 'rm'

068e4be... by Sandro Tosi on 2009-02-18

Import patches-unapplied version 0.16.0-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: fabbe7eab8e0ff8723faac1f58927108adf33c33

New changelog entries:
  * New upstream release; Closes: #515799
  * debian/control
    - added Vcs-{Svn,Browser} field
    - bump versioned depe on python-logilab-astng and python-logilab-common
  * debian/copyright
    - extended copyright years
  * debian/rules
    - using '--root' instead of '--prefix' to install
  * debian/pycompat
    - removed since python-central uses XS-Python-Version control field
  * debian/pylint.{postinst,prerm}
    - removed since empty
  * debian/pylint.dirs
    - removed 'test' dir from doc, not needed and hence empty

fabbe7e... by Sandro Tosi on 2008-11-26

Import patches-unapplied version 0.15.2-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 6f6a13b17cdb4a85a3cebbbe498ba9b6973fe58d

New changelog entries:
  * New upstream release
  * debian/control
    - added under PAPT umbrella (in agreement with Alexandre Fayolle)
    - added me to uploaders
    - moved Homepage field to source stanza
    - bump Standards-Version to 3.8.0
      + added debian/README.source
    - moved python (removing version, since we are in a 2.4+2.5 distribution) to
      build-dep from build-dep-indep (to satisfy clean target needs)
    - added ${python:Depends}, ${misc:Depends} to depends instead of directly
      depending on "python" package
  * debian/watch
    - bump verstion to 3
    - left only the url to scan, adding "opts=pasv" for ftp scan
  * debian/pylint.docs
    - install all doc/ directory files
    - added README and TODO (from debian/rules)
  * debian/rules
    - merged 'rm -f' commands into dh_clean call
    - added "python setup.py clean" call in clean target
    - install upstream "Changelog" using dh_installchangelog
    - removed files passed to dh_installdocs since using debian/pylint.docs and
      because debian/NEWS.Debian is automatically installed
    - using '-delete' find option instead of xargs
    - fix executables shebang with a for loop

6f6a13b... by Matthias Klose on 2008-07-18

Import patches-unapplied version 0.14.0-2.2 to debian/lenny

Imported using git-ubuntu import.